package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouAccountBudget;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 账户日预算
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-26
 */
public interface IKuaishouAccountBudgetService extends IService<KuaishouAccountBudget> {


    /**
     * 获取账户日预算
     *
     * @param advertiserId
     * @param accessToken
     */
    JSONObject getAccountBudget(CtopOauthToken oauthToken);

    void insertAccountBudget(Long advertiserId, String accessToken);

}
