package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.kuaishou.modules.report.mapper.KuaishouReportDailyAccountMapper;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouDimensionReportService;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class KuaishouDimensionReportServiceImpl implements IKuaishouDimensionReportService {
    @Autowired
    private KuaishouReportDailyAccountMapper dailyAccountMapper;

    @Override
    public List<JSONObject> getPositionData(JSONArray accountIds, String startDate, String endDate, String filedAll) {
        return dailyAccountMapper.getPositionData(accountIds, startDate, endDate, filedAll);
    }
}
